package com.mortals.xhx.module.device.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.device.model.DeviceAlarmEntity;
import com.mortals.xhx.module.device.model.DeviceAlarmQuery;

/**
 * DeviceAlarm
 *
 * 设备告警日志 Form
 *
 * @author zxfei
 * @date 2022-08-04
 */
public class DeviceAlarmForm extends BaseCRUDFormLong<DeviceAlarmEntity> {
    private DeviceAlarmEntity entity = new DeviceAlarmEntity();
    private DeviceAlarmQuery query = new DeviceAlarmQuery();
    public DeviceAlarmForm(){
    }

    @Override
    public DeviceAlarmEntity getEntity() {
        return entity;
    }

    public void setDeviceAlarm(DeviceAlarmEntity entity) {
        this.entity = entity;
    }

    @Override
    public DeviceAlarmQuery getQuery() {
        return query;
    }

    public void setQuery(DeviceAlarmQuery query) {
        this.query = query;
    }
}